
--[[
  Logo
  This is the class to create an animated logo object.
--]]

Logo = class('Logo')

Logo.DEFAULT_DIR = 'logo'

Logo.DEFAULT_X = 0
Logo.Default_Y = 0
Logo.DEFAULT_DURATION = 0.1
Logo.DEFAULT_NFRAMES = 1
Logo.DEFAULT_SCALE = 1

--[[
dir      = directory of logo
nFrames  = number of frames excluding background
duration = time to display each frame
x and y  = position to draw
scale    = multiplier size to draw
--]]
function Logo:initialize(dir,nFrames,duration,x,y,scale)
  super.initialize(self)
  
  self.dir = (dir or self.class.DEFAULT_DIR)..'/'
  
  self.x = x or self.class.DEFAULT_X
  self.y = y or self.class.DEFAULT_Y
  self.duration = duration or self.class.DEFAULT_DURATION
  self.nFrames = nFrames or self.class.DEFAULT_NFRAMES
  self.scale = scale or self.class.DEFAULT_SCALE
  self.curFrame = 1
  self.time = 0
  --INITIALIZE IMAGES
  self.bg = love.graphics.newImage(self.dir..'0.png')
  local images = {}
  for i=1, nFrames, 1 do
        local image = love.graphics.newImage(self.dir..i..'.png')
        image:setFilter("linear","nearest")
    table.insert(images,image)
  end
  self.images = images
end

function Logo:update(dt)
  self.time = self.time + dt
  if self.time > self.duration and
    self.curFrame < self.nFrames then
    self.time = 0
    table.remove(self.images,1)
    self.curFrame = self.curFrame + 1
  end
end

function Logo:draw()
  love.graphics.draw(self.bg,self.x,self.y,0,10)
  love.graphics.draw(self.images[1],self.x,self.y,0,10)
end

